Bug 132427 - No hook or method to run an ifdown-wireless script, patch attached
No hook or method to run an ifdown-wireless script, patch attached
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-13 06:14 EDT by Matthew Swabey
Modified: 2014-03-16 22:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 17:54:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Swabey 2004-09-13 06:14:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
There is no way of creating or editing an "ifdown-wireless" script,
but with VPN and 802.1x solutions proliferating a method of shutting
them down on interface shutdown is very helpful.

Feature is added with attached patch which creates a hook to run a
script named "ifdown-wireless" in the same fasion as "ifup-wireless"
is run.

Here is the diff -u against the ifdown from initscripts-7.55.1-1:


--- ./ifdown    2004-09-13 11:13:38.707383616 +0100
+++ /etc/sysconfig/network-scripts/ifdown       2004-09-13
10:30:44.000000000 +0100
@@ -44,6 +44,9 @@
        exec $OTHERSCRIPT $CONFIG $2
 fi
 
+# is the device wireless? If so, call the ifdown-wireless script
+is_wireless_device ${DEVICE} && . ./ifdown-wireless
+
 if [ -n "${BRIDGE}" -a -x /usr/sbin/brctl ]; then
       /sbin/ip link set dev ${DEVICE} down
       /usr/sbin/brctl delif ${BRIDGE} ${DEVICE}


Version-Release number of selected component (if applicable):
initscripts-7.55.1-1

How reproducible:
Always

Steps to Reproduce:
The functiionality is not present.
    

Additional info:
Comment 1 Bill Nottingham 2004-09-13 12:27:10 EDT
ifdown-pre-local could be used for this as well.
Comment 2 Matthew Swabey 2004-09-13 13:34:38 EDT
Too true. This was going to be the first of 3 submissions. I have
modified my scripts to add a WPA switch to the wireless config script
(in my case ifcfg-wlan0) which would invoke wpa_supplicant when it was
run.

Thats why I modified it to have a ifdown-wireless script. However it
would take some work to get the other modifications into a submittable
format and wpa_supplicant is not part of the distro, and as far as I
know is unlikely to ever be.

So submitting the rest seemed more than a little silly, if you take my
meaning.

Matthew
Comment 3 Matthew Miller 2005-04-26 12:15:23 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 Bill Nottingham 2005-09-30 17:54:12 EDT
At this point, I doubt this would be added; at best, a separate ifup/ifdown.d
might be added.

Note You need to log in before you can comment on or make changes to this bug.